Bug 799383 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the None .macromedia.
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' acc...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2e6f5db6a76f0197ef94fb9cfd3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-02 10:49 EST by dario
Modified: 2012-03-21 14:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-104.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-21 14:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dario 2012-03-02 10:49:52 EST
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-0.rc3.git7.2.fc17.i686.PAE
reason:         SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the None .macromedia.
time:           Fri 02 Mar 2012 11:19:37 AM VET

description:
:SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from 'create' accesses on the None .macromedia.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that npviewer.bin should be allowed create access on the .macromedia <Unknown> by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                .macromedia [ None ]
:Source                        npviewer.bin
:Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-7.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-89.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-0.rc3.git7.2.fc17.i686.PAE
:                              #1 SMP Fri Feb 17 18:53:03 UTC 2012 i686 i686
:Alert Count                   21
:First Seen                    Fri 02 Mar 2012 11:19:06 AM VET
:Last Seen                     Fri 02 Mar 2012 11:19:06 AM VET
:Local ID                      a6f7082a-cafa-43a4-8ff7-2fa3adf247e4
:
:Raw Audit Messages
:type=AVC msg=audit(1330703346.570:269): avc:  denied  { create } for  pid=3936 comm="npviewer.bin" name=".macromedia" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dirnode=(removed) type=SYSCALL msg=audit(1330703346.570:269): arch=40000003 syscall=39 success=no exit=-13 a0=b4e723e0 a1=1c0 a2=b65c9a5c a3=b4e723e0 items=0 ppid=2950 pid=3936 auid=1002 uid=1002 gid=1002 euid=1002 suid=1002 fsuid=1002 egid=1002 sgid=1002 fsgid=1002 tty=(none) ses=8 comm="npviewer.bin" exe="/usr/lib/nspluginwrapper/npviewer.bin" subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:
:Hash: npviewer.bin,mozilla_plugin_t,user_home_dir_t,None,create
:
:audit2allow
:
:
:audit2allow -R
:
:
Comment 1 Daniel Walsh 2012-03-02 14:49:28 EST
Fixed in selinux-policy-3.10.0-96.fc17
Comment 2 Fedora Update System 2012-03-19 13:55:15 EDT
selinux-policy-3.10.0-103.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-103.fc17
Comment 3 Fedora Update System 2012-03-20 02:08:17 EDT
Package selinux-policy-3.10.0-104.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-104.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4248/selinux-policy-3.10.0-104.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-21 14:54:09 EDT
selinux-policy-3.10.0-104.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.